From 8c54eeca6ce3b73f545c8a8dc1735a7690a70fe8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 13 2020 03:08:20 +0000
Subject: [PATCH 633/2232] Add missing noexcept on a Slice constructor


---

diff --git a/include/cxx.h b/include/cxx.h
index d870442..8525313 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -98,7 +98,7 @@ public:
   Slice() noexcept : repr(Repr{reinterpret_cast<const T *>(this), 0}) {}
   Slice(const Slice<T> &) noexcept = default;
 
-  Slice(const T *s, size_t size) : repr(Repr{s, size}) {}
+  Slice(const T *s, size_t size) noexcept : repr(Repr{s, size}) {}
 
   Slice &operator=(Slice<T> other) noexcept {
     this->repr = other.repr;

